QuakeStarter - Getting Started

Getting Started QuakeStarter Help

This topic will describe some basic functions to get started with QuakeStarter, as well as links to other, more detailed topics.

Setting up a game

First, select which game you want to play (click on one of the three logos at the right-top of the main window).

If you have the specified game, but you can't select it, you should check your options on the Setup Window .

After that, you should choose the conversion you want to play (if available). To do this, just select a conversion on the list on the center of the screen.

Examples of conversions are Capture the Flag, QuakeRally, JailBreak, Capture the Chicken, ...

Single Player | Starting a single player game is very easy. If necesary, select a map by pressing the Select map/demo ... button, and select your player options . After you have done all that, you can start a game by pressing the big button.
Multiplayer - Connecting to a server | Mark the deathmatch checkbox at the right of the window. Then press Select Server, and select the server you want. More info about the Server window here . To select more deathmatch options, press the deathmatch... button and select the options you want on the deathmatch window . Again, after selecting your player options , press the big button to enter the game. NOTE: If you are connected to the internet, the fast game info will show you the server's map, ping and number of players playing for Quake 3 servers. (Left side of the main window). If the ping is red, this means you have a ping greater than 400. This is very high, and the game will probably go very slow. It is not recommended to play on these servers. If the players/maxplayers is red, this means the server is full and you can't currently join it.
Multiplayer - Creating a server | Make sure the deathmatch checkbox at the righ is marked. Press Select Map/Demo ... to select the map you want to play. On the deathmatch window you can select more options. If you start a server, it is recommended to check if the options are correct. Select your player options, and press the big button to start the server.
Multiplayer - Bots | Even starting a game with bots is very fast and easy with QuakeStarter, Just press the button 'Bot Setup...' at the bottom of the main window to open up the bot window . If you can't press the button, it is because you don't have a bot installed that is supported by QuakeStarter. Go and see on the QuakeStarter Homepage for which bots are supported and where you can download them. Mark the Use Bots check box and select the bot you want to use. Select the number of bots you want to play against, select the other options and press OK. To start the game press the big button on the main window.


QuakeStarter - Deathmatch

Deathmatch QuakeStarter Help

Client

Connect to

Mark the checkbox if you want to connect to a server.

Enter the name/ip of the server in the IP box, and if necessary the password in the password field.

You can also select or add a server to your personal server database by pressing the Select server... button.

Gamespy

If you have Gamespy installed, you can press the Gamespy button to start gamespy. When you have found a server, copy the adres to the clipboard and it will automatically be entered in QuakeStarter.

Serverinfo

This will contain information about the selected server if you are online. Works only for q3 servers.

Watch Game

Watch the scores/players on the selected server without joining the server.

Use a SOCKS5 firewall

Quake3Arena only. Alows you to play q3a through a firewall/proxy server with SOCKS5 support.

SOCKS Server Name is the name or ip number of the SOCKS Server. SOCKS Server port is the port for the SOCKS server. 1080 is default and should not be changed. SOCKS Username and Password are the username and password you might need to use the SOCKS server.

Server

DM Flags

Several deathmatch options that can be turned on or off. Check your q1/2/3 manual for more information about each.

Hostname

Select a name for your server. For q3a, you can also use colors by clicking colors...

Message of the day

Q3A only. Enter a message to appear when a new game is started.

Fraglimit, Timelimit

The maximum amount of frags/time playing before ending the game, and starting a new level.

Max clients

The maximum number of clients that can join the game.

Capturelimit

CTF only. The maximum number of flags a team can capture before the game ends, and a new level starts.

Max FPS

Maximum number of frames/second that is sent to a client.

Gametype

Q3A only. The type of game you want to play.

Dedicated server

If you want to start a server that doesn't play (no graphical display).

For Q3A, you can choose between LAN (do not sent server info to id master server) or internet (sent info to master server so server browsers can find your server)

Password

If you want a private game, you can enter a password for the game.


QuakeStarter - Player Setup

Player Setup QuakeStarter Help

You can access the player setup window by clicking the Player setup... button on the main window.

First, make sure you mark the Use Player options check box.

Name

Enter your nickname here, you can color it by using the color... button. This only works for Quake 3 Arena.

You can also choose a previously created Personality by using the drop down list.

All the other settings will automatically be restored then.

Hand Which hand you hold your weapon in.

Skill How good you are. Skill level for single player games.

Cross Which crosshair you use.

Skin and Player model Select what you will look like.

Other commands Some commands specific for that player. For Example : +exec myname.cfg

Press the OK button when you are ready.


QuakeStarter - Setup Window

Setup Window QuakeStarter Help

You can access the setup window by clicking the Setup... button on the main window.

Quake, Quake 2, Quake 3 Arena directory

Select here the directories of the games you have (if you don't have Quake1, just leave it as it is).

You can enter the full path yourself, or you can browse for it. If you don't know where the directory is, just press browse and wait. QuakeStarter will automatically try to find the right directory.

Startup

Normally, QuakeStarter selects the latest/best game available. This means if you have Quake1 and Quake2, it will choose Quake2 as default.

You can override this setting by selecting 'Choose the last version used'. Then QuakeStarter will select the last version you have started as default.

If you have Quake1 and Quake2, and the last game you've played was Quake1, QuakeStarter will start up with Quake1 selected.

Use config file instead of command line

It is recommended you leave this option enabled. It means that QuakeStarted uses a config file to pass all the selections to Quake, instead of just using the command line. If you use the command line, and there are too many commands, then Quake will not start and return an error.

Use compression manager

It is recommended to leave this option enabled. It means you can compress Quake Conversions so they won't take up so much space. When you start the compressed TC, QuakeStarter will automatically decompress it. When you are finished playing Quake, QuakeStarter will clean up all the temporary files too.

Automatically compress uncompressed TC's

When this option is enabled, QuakeStarter will automatically compress any TC you have when you start it. This might be recommended if you don't have much hard disk space. I personally do not recommend this option.

On Quake Start

You can either make QuakeStarter do nothing (leave as it is), or let QuakeStarter minimize itself, or let QuakeStarter close itself.

You shouldn't choose Exit when you are using Compression Manager, cause QuakeStarter can't clean up the temporary files then.

GL mode

Select what kind of GL mode you have. Software means you have no 3D Accelerator Card. 3DFX OpenGL means you have a 3DFX Accelerator Card.

If you have an other 3D Card, you should choose Default OpenGL.

Add Quake2 Version

1) To add a version
Install the version you want to add.
Go to the setup window.
Fill in the correct q2 version number.
Press the button to add a new q2 version.
Do this for every q2 version you want to add.

2) To use
Restart QuakeStarter after you have added the q2 versions.
In the main window, select one of the q2 versions found in the listcombo.
QuakeStarter will save wich version you have used for each TC. So if you have a TC that only works with q2 ver 3.10, it will always start with v3.10.


QuakeStarter - Fast Game Info

Fast Game Info QuakeStarter Help

The Fast Game Info will show you lots of information about the game you are about to start, so you can very fast check and alter all your settings before starting the game.

If an item becomes blue by moving your mouse over it, this means you can alter it by left or right clicking. For numbers or simple choices (Timelimit, Gametype,...) clicking with your left mouse button means increase and right mouse button means decrease.

For menus, it will open the related window. Example : If you left-click on -=PLAYER=- the player window will open.

Some options have a special function by clicking them.

The -=SERVER-= menu will change to -=CLIENT=- when right-clicking it.

You will get a list of personalities to choose from when right-clicking the -=PLAYER=- item.

You will get a list with recently used servers when right clicking the Connect to... item.

If Online, and playing Q3A, left clicking the Connect to... item means refreshing the ping/map and clients/maxclients fields.


QuakeStarter - Bots

Bot Setup Window QuakeStarter Help

Starting a bot game

To start the game press the big button on the main window.